Skip to main content
PUT
/
{alias}
/
pricing
/
promotions
/
{id}
Atualizar promoção
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "id": 123,
  "active": true,
  "all_products": true,
  "utm_only": true,
  "highlight_on_menu": true,
  "accumulate": true,
  "price_attribute": "<string>",
  "name": "Promoção relâmpago",
  "url": "https://www.domain.com/promocoes/test",
  "slug": "<string>",
  "value": 123,
  "utm_source": "google",
  "utm_campaign": "adwords"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id}"

payload = {
"id": 123,
"active": True,
"all_products": True,
"utm_only": True,
"highlight_on_menu": True,
"accumulate": True,
"price_attribute": "<string>",
"name": "Promoção relâmpago",
"url": "https://www.domain.com/promocoes/test",
"slug": "<string>",
"value": 123,
"utm_source": "google",
"utm_campaign": "adwords"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: 123,
active: true,
all_products: true,
utm_only: true,
highlight_on_menu: true,
accumulate: true,
price_attribute: '<string>',
name: 'Promoção relâmpago',
url: 'https://www.domain.com/promocoes/test',
slug: '<string>',
value: 123,
utm_source: 'google',
utm_campaign: 'adwords'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/pricing/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "active": true,
  "all_products": true,
  "utm_only": true,
  "highlight_on_menu": true,
  "accumulate": true,
  "price_attribute": "<string>",
  "name": "Promoção relâmpago",
  "expired": true,
  "url": "https://www.domain.com/promocoes/test",
  "slug": "<string>",
  "value": 123,
  "utm_source": "google",
  "utm_campaign": "adwords",
  "start_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "end_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "created_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "updated_at": {
    "date": "2000-08-17 10:24:24",
    "timezone_type": 3,
    "timezone": "America/Sao_Paulo"
  },
  "include": {
    "products_ids": "[987, 654, 456, 321, 123]",
    "brands_ids": "[]",
    "collections_ids": "[]",
    "categories_ids": "[]"
  },
  "exclude": {
    "products_ids": "[123, 321]",
    "brands_ids": "[]",
    "collections_ids": "[]",
    "categories_ids": "[]"
  },
  "include_ids": "[987, 654, 456, 321, 123]",
  "exclude_ids": "[123, 321]"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID da promoção

Body

application/json
id
integer
active
boolean
all_products
boolean
utm_only
boolean
highlight_on_menu
boolean
accumulate
boolean
price_attribute
string
name
string
Example:

"Promoção relâmpago"

url
string<uri>
Example:

"https://www.domain.com/promocoes/test"

slug
string
value
number<float>
utm_source
string
Example:

"google"

utm_campaign
string
Example:

"adwords"

Response

Detalhes da promoção

Representa as restrições de inclusão e exclusão para itens específicos

id
integer
active
boolean
all_products
boolean
utm_only
boolean
highlight_on_menu
boolean
accumulate
boolean
price_attribute
string
name
string
Example:

"Promoção relâmpago"

expired
boolean
read-only
url
string<uri>
Example:

"https://www.domain.com/promocoes/test"

slug
string
value
number<float>
utm_source
string
Example:

"google"

utm_campaign
string
Example:

"adwords"

start_at
object
end_at
object
created_at
object
updated_at
object
include
object

Itens a serem incluídos

exclude
object

Itens a serem excluídos

include_ids
integer[]

Lista de IDs para inclusão

Example:

"[987, 654, 456, 321, 123]"

exclude_ids
integer[]

Lista de IDs para exclusão

Example:

"[123, 321]"